import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8sWorkerAddResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sWorkerAddProtocol(_base.BasePostAPIFunctionProtocol):
    def worker_add(
        self,
        *,
        k8s_id: int,
        worker_group_id: int,
        node_count: int = 1,
        chipset: _nested.Chipset = _nested.Chipset.Q35,
    ) -> CloudapiK8sWorkerAddResultBool:
        ...
